Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-07-28 The HDF5 Field Guide

Loading...
Searching...
No Matches
Java Attribute (H5A) Interface

## Detailed Description

An HDF5 attribute is a small metadata object describing the nature and/or intended usage of a primary data object. A primary data object may be a dataset, group, or committed datatype.

See also
  Attributes (H5A), C-API
  HDF5 Attributes, User Guide

## Functions
static int | H5Aclose (long attr_id) throws HDF5LibraryException
static synchronized native int | H5Acopy (long src_aid, long dst_aid) throws HDF5LibraryException
static long | H5Acreate (long loc_id, String attr_name, long type_id, long space_id, long acpl_id, long aapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Acreate_by_name (long loc_id, String obj_name, String attr_name, long type_id, long space_id, long acpl_id, long aapl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Adelete (long loc_id, String name) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Adelete_by_idx (long loc_id, String obj_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Adelete_by_name (long loc_id, String obj_name, String attr_name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Aexists (long obj_id, String attr_name) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Aexists_by_name (long loc_id, String obj_name, String attr_name, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Aget_create_plist (long attr_id) throws HDF5LibraryException
static synchronized native H5A_info_t | H5Aget_info (long attr_id) throws HDF5LibraryException
static synchronized native H5A_info_t | H5Aget_info_by_idx (long loc_id, String obj_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5A_info_t | H5Aget_info_by_name (long loc_id, String obj_name, String attr_name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native String | H5Aget_name (long attr_id) throws HDF5LibraryException
static synchronized native String | H5Aget_name_by_idx (long attr_id, String obj_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Aget_space (long attr_id) throws HDF5LibraryException
static synchronized native long | H5Aget_storage_size (long attr_id) throws HDF5LibraryException
static long | H5Aget_type (long attr_id) throws HDF5LibraryException
static synchronized native int | H5Aiterate (long loc_id, int idx_type, int order, long idx, H5A_iterate_cb op, H5A_iterate_t op_data) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aiterate_by_name (long loc_id, String obj_name, int idx_type, int order, long idx, H5A_iterate_cb op, H5A_iterate_t op_data, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Aopen (long obj_id, String attr_name, long aapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Aopen_by_idx (long loc_id, String obj_name, int idx_type, int order, long n, long aapl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Aopen_by_name (long loc_id, String obj_name, String attr_name, long aapl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread (long attr_id, long mem_type_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread (long attr_id, long mem_type_id, byte[] obj, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread (long attr_id, long mem_type_id, Object obj) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Aread (long attr_id, long mem_type_id, Object obj, boolean isCriticalPinning) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Aread_double (long attr_id, long mem_type_id, double[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_double (long attr_id, long mem_type_id, double[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread_float (long attr_id, long mem_type_id, float[] buf) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread_int (long attr_id, long mem_type_id, int[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_int (long attr_id, long mem_type_id, int[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread_long (long attr_id, long mem_type_id, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_long (long attr_id, long mem_type_id, long[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_reg_ref (long attr_id, long mem_type_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread_short (long attr_id, long mem_type_id, short[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_short (long attr_id, long mem_type_id, short[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_string (long attr_id, long mem_type_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_VLStrings (long attr_id, long mem_type_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5AreadComplex (long attr_id, long mem_type_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5AreadVL (long attr_id, long mem_type_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Arename (long loc_id, String old_attr_name, String new_attr_name) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Arename_by_name (long loc_id, String obj_name, String old_attr_name, String new_attr_name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite (long attr_id, long mem_type_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite (long attr_id, long mem_type_id, byte[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite (long attr_id, long mem_type_id, Object obj) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite (long attr_id, long mem_type_id, Object obj, boolean isCriticalPinning) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite_double (long attr_id, long mem_type_id, double[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_double (long attr_id, long mem_type_id, double[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite_float (long attr_id, long mem_type_id, float[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_float (long attr_id, long mem_type_id, float[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite_int (long attr_id, long mem_type_id, int[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_int (long attr_id, long mem_type_id, int[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite_long (long attr_id, long mem_type_id, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_long (long attr_id, long mem_type_id, long[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite_short (long attr_id, long mem_type_id, short[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_short (long attr_id, long mem_type_id, short[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_string (long attr_id, long mem_type_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_VLStrings (long attr_id, long mem_type_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5AwriteVL (long attr_id, long mem_type_id, Object[] buf) throws HDF5LibraryException, NullPointerException

## Function Documentation

## ◆ H5Aclose()

int H5Aclose | ( | long | attr_id | ) | throws HDF5LibraryException
| static

H5Aclose terminates access to the attribute specified by its identifier, attr_id.

Parameters

  attr_id | IN: Attribute to release access to.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Acopy()

synchronized native int H5Acopy | ( | long | src_aid,
|  | long | dst_aid ) throws HDF5LibraryException
| static

H5Acopy copies the content of one attribute to another.

Parameters

  src_aid | the identifier of the source attribute
  dst_aid | the identifier of the destination attribute

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Acreate()

long H5Acreate | ( | long | loc_id,
|  | String | attr_name,
|  | long | type_id,
|  | long | space_id,
|  | long | acpl_id,
|  | long | aapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Acreate creates an attribute, attr_name, which is attached to the object specified by the identifier loc_id.

Parameters

  loc_id | IN: Location or object identifier; may be dataset or group
  attr_name | IN: Attribute name
  type_id | IN: Attribute datatype identifier
  space_id | IN: Attribute dataspace identifier
  acpl_id | IN: Attribute creation property list identifier
  aapl_id | IN: Attribute access property list identifier

Returns
  An attribute identifier if successful; otherwise returns a negative value.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | Name is null.

## ◆ H5Acreate_by_name()

long H5Acreate_by_name | ( | long | loc_id,
|  | String | obj_name,
|  | String | attr_name,
|  | long | type_id,
|  | long | space_id,
|  | long | acpl_id,
|  | long | aapl_id,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Acreate_by_name creates an attribute, attr_name, which is attached to the object specified by loc_id and obj_name.

Parameters

  loc_id | IN: Location or object identifier; may be dataset or group
  obj_name | IN: Name, relative to loc_id, of object that attribute is to be attached to
  attr_name | IN: Attribute name
  type_id | IN: Attribute datatype identifier
  space_id | IN: Attribute dataspace identifier
  acpl_id | IN: Attribute creation property list identifier (currently not used).
  aapl_id | IN: Attribute access property list identifier (currently not used).
  lapl_id | IN: Link access property list

Returns
  An attribute identifier if successful; otherwise returns a negative value.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Adelete()

synchronized native int H5Adelete | ( | long | loc_id,
|  | String | name ) throws HDF5LibraryException, NullPointerException
| static

H5Adelete removes the attribute specified by its name, name, from a dataset, group, or named datatype.

Parameters

  loc_id | IN: Identifier of the dataset, group, or named datatype.
  name | IN: Name of the attribute to delete.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Adelete_by_idx()

synchronized native void H5Adelete_by_idx | ( | long | loc_id,
|  | String | obj_name,
|  | int | idx_type,
|  | int | order,
|  | long | n,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Adelete_by_idx removes an attribute, specified by its location in an index, from an object.

Parameters

  loc_id | IN: Location or object identifier; may be dataset or group
  obj_name | IN: Name of object, relative to location, from which attribute is to be removed
  idx_type | IN: Type of index
  order | IN: Order in which to iterate over index
  n | IN: Offset within index
  lapl_id | IN: Link access property list identifier

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | obj_name is null.

## ◆ H5Adelete_by_name()

synchronized native int H5Adelete_by_name | ( | long | loc_id,
|  | String | obj_name,
|  | String | attr_name,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Adelete_by_name removes the attribute attr_name from an object specified by location and name, loc_id and obj_name, respectively.

Parameters

  loc_id | IN: Location or object identifier; may be dataset or group
  obj_name | IN: Name of object, relative to location, from which attribute is to be removed
  attr_name | IN: Name of attribute to delete
  lapl_id | IN: Link access property list identifier.

Returns
  a non-negative value if successful; otherwise returns a negative value.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Aexists()

synchronized native boolean H5Aexists | ( | long | obj_id,
|  | String | attr_name ) throws HDF5LibraryException, NullPointerException
| static

H5Aexists determines whether the attribute attr_name exists on the object specified by obj_id.

Parameters

  obj_id | IN: Object identifier.
  attr_name | IN: Name of the attribute.

Returns
  boolean true if an attribute with a given name exists.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | attr_name is null.

## ◆ H5Aexists_by_name()

synchronized native boolean H5Aexists_by_name | ( | long | loc_id,
|  | String | obj_name,
|  | String | attr_name,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Aexists_by_name determines whether the attribute attr_name exists on an object. That object is specified by its location and name, loc_id and obj_name, respectively.

Parameters

  loc_id | IN: Location of object to which attribute is attached .
  obj_name | IN: Name, relative to loc_id, of object that attribute is attached to.
  attr_name | IN: Name of attribute.
  lapl_id | IN: Link access property list identifier.

Returns
  boolean true if an attribute with a given name exists, otherwise returns false.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5Aget_create_plist()

long H5Aget_create_plist | ( | long | attr_id | ) | throws HDF5LibraryException
| static

H5Aget_create_plist retrieves a copy of the attribute creation property list identifier.

Parameters

  attr_id | IN: Identifier of an attribute.

Returns
  identifier for the attribute's creation property list if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Aget_info()

synchronized native H5A_info_t H5Aget_info | ( | long | attr_id | ) | throws HDF5LibraryException
| static

H5Aget_info retrieves attribute information, by attribute identifier.

Parameters

  attr_id | IN: Attribute identifier

Returns
  A buffer(H5A_info_t) for Attribute information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Aget_info_by_idx()

synchronized native H5A_info_t H5Aget_info_by_idx | ( | long | loc_id,
|  | String | obj_name,
|  | int | idx_type,
|  | int | order,
|  | long | n,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Aget_info_by_idx Retrieves attribute information, by attribute index position.

Parameters

  loc_id | IN: Location of object to which attribute is attached
  obj_name | IN: Name of object to which attribute is attached, relative to location
  idx_type | IN: Type of index
  order | IN: Index traversal order
  n | IN: Attribute's position in index
  lapl_id | IN: Link access property list

Returns
  A buffer(H5A_info_t) for Attribute information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | obj_name is null.

## ◆ H5Aget_info_by_name()

synchronized native H5A_info_t H5Aget_info_by_name | ( | long | loc_id,
|  | String | obj_name,
|  | String | attr_name,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Aget_info_by_name Retrieves attribute information, by attribute name.

Parameters

  loc_id | IN: Location of object to which attribute is attached
  obj_name | IN: Name of object to which attribute is attached, relative to location
  attr_name | IN: Attribute name
  lapl_id | IN: Link access property list

Returns
  A buffer(H5A_info_t) for Attribute information

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | obj_name is null.

## ◆ H5Aget_name()

synchronized native String H5Aget_name | ( | long | attr_id | ) | throws HDF5LibraryException
| static

H5Aget_name retrieves the name of an attribute specified by the identifier, attr_id.

Parameters

  attr_id | IN: Identifier of the attribute.

Returns
  String for Attribute name.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Aget_name_by_idx()

synchronized native String H5Aget_name_by_idx | ( | long | attr_id,
|  | String | obj_name,
|  | int | idx_type,
|  | int | order,
|  | long | n,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Aget_name_by_idx retrieves the name of an attribute that is attached to an object, which is specified by its location and name, loc_id and obj_name, respectively.

Parameters

  attr_id | IN: Attribute identifier
  obj_name | IN: Name of object to which attribute is attached, relative to location
  idx_type | IN: Type of index
  order | IN: Index traversal order
  n | IN: Attribute's position in index
  lapl_id | IN: Link access property list

Returns
  String for Attribute name.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | obj_name is null.

## ◆ H5Aget_space()

long H5Aget_space | ( | long | attr_id | ) | throws HDF5LibraryException
| static

H5Aget_space retrieves a copy of the dataspace for an attribute.

Parameters

  attr_id | IN: Identifier of an attribute.

Returns
  attribute dataspace identifier if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Aget_storage_size()

synchronized native long H5Aget_storage_size | ( | long | attr_id | ) | throws HDF5LibraryException
| static

H5Aget_storage_size returns the amount of storage that is required for the specified attribute, attr_id.

Parameters

  attr_id | IN: Identifier of the attribute to query.

Returns
  the amount of storage size allocated for the attribute; otherwise returns 0 (zero)

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Aget_type()

long H5Aget_type | ( | long | attr_id | ) | throws HDF5LibraryException
| static

H5Aget_type retrieves a copy of the datatype for an attribute.

Parameters

  attr_id | IN: Identifier of an attribute.

Returns
  a datatype identifier if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Aiterate()

synchronized native int H5Aiterate | ( | long | loc_id,
|  | int | idx_type,
|  | int | order,
|  | long | idx,
|  | H5A_iterate_cb | op,
|  | H5A_iterate_t | op_data ) throws HDF5LibraryException, NullPointerException
| static

H5Aiterate2 iterates over the attributes attached to a dataset, named datatype, or group, as specified by obj_id. For each attribute, user-provided data, op_data, with additional information as defined below, is passed to a user-defined function, op, which operates on that attribute.

Parameters

  loc_id | IN: Identifier for object to which attributes are attached; may be group, dataset, or named datatype.
  idx_type | IN: The type of index specified by idx_type can be one of the following: H5_INDEX_NAME An alphanumeric index by attribute name. H5_INDEX_CRT_ORDER An index by creation order.
  order | IN: The order in which the index is to be traversed, as specified by order, can be one of the following: H5_ITER_INC Iteration is from beginning to end, i.e., a top-down iteration incrementing the index position at each step. H5_ITER_DEC Iteration starts at the end of the index, i.e., a bottom-up iteration decrementing the index position at each step. H5_ITER_NATIVE HDF5 iterates in the fastest-available order. No information is provided as to the order, but HDF5 ensures that each element in the index will be visited if the iteration completes successfully.
  idx | IN/OUT: Initial and returned offset within index.
  op | IN: Callback function to operate on each value.
  op_data | IN/OUT: Pointer to any user-efined data for use by operator function.

Returns
  returns the return value of the first operator that returns a positive value, or zero if all members were processed with no operator returning non-zero.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Aiterate_by_name()

synchronized native int H5Aiterate_by_name | ( | long | loc_id,
|  | String | obj_name,
|  | int | idx_type,
|  | int | order,
|  | long | idx,
|  | H5A_iterate_cb | op,
|  | H5A_iterate_t | op_data,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Aiterate_by_name iterates over the attributes attached to the dataset or group specified with loc_id and obj_name. For each attribute, user-provided data, op_data, with additional information as defined below, is passed to a user-defined function, op, which operates on that attribute.

Parameters

  loc_id | IN: Identifier for object to which attributes are attached; may be group, dataset, or named datatype.
  obj_name | IN: Name of object, relative to location.
  idx_type | IN: The type of index specified by idx_type can be one of the following: H5_INDEX_NAME An alphanumeric index by attribute name. H5_INDEX_CRT_ORDER An index by creation order.
  order | IN: The order in which the index is to be traversed, as specified by order, can be one of the following: H5_ITER_INC Iteration is from beginning to end, i.e., a top-down iteration incrementing the index position at each step. H5_ITER_DEC Iteration starts at the end of the index, i.e., a bottom-up iteration decrementing the index position at each step. H5_ITER_NATIVE HDF5 iterates in the fastest-available order. No information is provided as to the order, but HDF5 ensures that each element in the index will be visited if the iteration completes successfully.
  idx | IN/OUT: Initial and returned offset within index.
  op | IN: Callback function to operate on each value.
  op_data | IN/OUT: Pointer to any user-efined data for use by operator function.
  lapl_id | IN: Link access property list

Returns
  returns the return value of the first operator that returns a positive value, or zero if all members were processed with no operator returning non-zero.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Aopen()

long H5Aopen | ( | long | obj_id,
|  | String | attr_name,
|  | long | aapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Aopen opens an existing attribute, attr_name, that is attached to an object specified an object identifier, object_id.

Parameters

  obj_id | IN: Identifier for object to which attribute is attached
  attr_name | IN: Name of attribute to open
  aapl_id | IN: Attribute access property list identifier

Returns
  An attribute identifier if successful; otherwise returns a negative value.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | Name is null.

## ◆ H5Aopen_by_idx()

long H5Aopen_by_idx | ( | long | loc_id,
|  | String | obj_name,
|  | int | idx_type,
|  | int | order,
|  | long | n,
|  | long | aapl_id,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Aopen_by_idx opens an existing attribute that is attached to an object specified by location and name, loc_id and obj_name, respectively

Parameters

  loc_id | IN: Location of object to which attribute is attached
  obj_name | IN: Name of object to which attribute is attached, relative to location
  idx_type | IN: Type of index
  order | IN: Index traversal order
  n | IN: Attribute's position in index
  aapl_id | IN: Attribute access property list
  lapl_id | IN: Link access property list

Returns
  An attribute identifier if successful; otherwise returns a negative value.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | Name is null.

## ◆ H5Aopen_by_name()

long H5Aopen_by_name | ( | long | loc_id,
|  | String | obj_name,
|  | String | attr_name,
|  | long | aapl_id,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Aopen_by_name Opens an attribute for an object by object name and attribute name

Parameters

  loc_id | IN: Location from which to find object to which attribute is attached
  obj_name | IN: Name of object to which attribute is attached, relative to loc_id
  attr_name | IN: Name of attribute to open
  aapl_id | IN: Attribute access property list
  lapl_id | IN: Link access property list identifier

Returns
  Returns an attribute identifier if successful; otherwise returns a negative value.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | obj_name is null.

## ◆ H5Aread() [1/4]

synchronized int H5Aread | ( | long | attr_id,
|  | long | mem_type_id,
|  | byte[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread() [2/4]

synchronized native int H5Aread | ( | long | attr_id,
|  | long | mem_type_id,
|  | byte[] | obj,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  obj | Buffer to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread() [3/4]

synchronized int H5Aread | ( | long | attr_id,
|  | long | mem_type_id,
|  | Object | obj ) throws HDF5Exception, HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  obj | Buffer to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread() [4/4]

synchronized int H5Aread | ( | long | attr_id,
|  | long | mem_type_id,
|  | Object | obj,
|  | boolean | isCriticalPinning ) throws HDF5Exception, HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into data object from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  obj | IN: Object for data to be read.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5Exception | Failure in the data conversion.
  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null. See public synchronized static native int H5Aread( )

## ◆ H5Aread_double() [1/2]

synchronized int H5Aread_double | ( | long | attr_id,
|  | long | mem_type_id,
|  | double[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of double from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of double to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread_double() [2/2]

synchronized native int H5Aread_double | ( | long | attr_id,
|  | long | mem_type_id,
|  | double[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of double from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of double to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread_float()

synchronized int H5Aread_float | ( | long | attr_id,
|  | long | mem_type_id,
|  | float[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of float from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of float to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread_int() [1/2]

synchronized int H5Aread_int | ( | long | attr_id,
|  | long | mem_type_id,
|  | int[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of int from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of int to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread_int() [2/2]

synchronized native int H5Aread_int | ( | long | attr_id,
|  | long | mem_type_id,
|  | int[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of int from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of int to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread_long() [1/2]

synchronized int H5Aread_long | ( | long | attr_id,
|  | long | mem_type_id,
|  | long[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of long from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of long to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread_long() [2/2]

synchronized native int H5Aread_long | ( | long | attr_id,
|  | long | mem_type_id,
|  | long[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of long from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of long to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread_reg_ref()

synchronized native int H5Aread_reg_ref | ( | long | attr_id,
|  | long | mem_type_id,
|  | String[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of String from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of String to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread_short() [1/2]

synchronized int H5Aread_short | ( | long | attr_id,
|  | long | mem_type_id,
|  | short[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of shortfrom the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of short to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread_short() [2/2]

synchronized native int H5Aread_short | ( | long | attr_id,
|  | long | mem_type_id,
|  | short[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of short from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of short to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread_string()

synchronized native int H5Aread_string | ( | long | attr_id,
|  | long | mem_type_id,
|  | String[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of String from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of String to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Aread_VLStrings()

synchronized native int H5Aread_VLStrings | ( | long | attr_id,
|  | long | mem_type_id,
|  | Object[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of variable-lenght strings from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of variable-lenght strings to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5AreadComplex()

synchronized native int H5AreadComplex | ( | long | attr_id,
|  | long | mem_type_id,
|  | String[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of string from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of string to store data read from the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5AreadVL()

synchronized native int H5AreadVL | ( | long | attr_id,
|  | long | mem_type_id,
|  | Object[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of variable-lenght from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Object[] (one slot per element) to store the data read; each slot is filled with a nested ArrayList structure matching mem_type_id (see "Buffer data model" in the class description).

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

## ◆ H5Arename()

synchronized native int H5Arename | ( | long | loc_id,
|  | String | old_attr_name,
|  | String | new_attr_name ) throws HDF5LibraryException, NullPointerException
| static

H5Arename changes the name of attribute that is attached to the object specified by loc_id. The attribute named old_attr_name is renamed new_attr_name.

Parameters

  loc_id | IN: Location or object identifier; may be dataset or group
  old_attr_name | IN: Prior attribute name
  new_attr_name | IN: New attribute name

Returns
  A non-negative value if successful; otherwise returns a negative value.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | Name is null.

## ◆ H5Arename_by_name()

synchronized native int H5Arename_by_name | ( | long | loc_id,
|  | String | obj_name,
|  | String | old_attr_name,
|  | String | new_attr_name,
|  | long | lapl_id ) throws HDF5LibraryException, NullPointerException
| static

H5Arename_by_name changes the name of attribute that is attached to the object specified by loc_id and obj_name. The attribute named old_attr_name is renamed new_attr_name.

Parameters

  loc_id | IN: Location or object identifier; may be dataset or group
  obj_name | IN: Name of object, relative to location, whose attribute is to be renamed
  old_attr_name | IN: Prior attribute name
  new_attr_name | IN: New attribute name
  lapl_id | IN: Link access property list

Returns
  A non-negative value if successful; otherwise returns a negative value.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | Name is null.

## ◆ H5Awrite() [1/4]

synchronized int H5Awrite | ( | long | attr_id,
|  | long | mem_type_id,
|  | byte[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buf to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite() [2/4]

synchronized native int H5Awrite | ( | long | attr_id,
|  | long | mem_type_id,
|  | byte[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buf to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer with data to be written to the file.
  isCriticalPinning | IN: request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite() [3/4]

synchronized int H5Awrite | ( | long | attr_id,
|  | long | mem_type_id,
|  | Object | obj ) throws HDF5Exception, HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buf to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  obj | IN: Buffer with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite() [4/4]

synchronized int H5Awrite | ( | long | attr_id,
|  | long | mem_type_id,
|  | Object | obj,
|  | boolean | isCriticalPinning ) throws HDF5Exception, HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from data object to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  obj | IN: Data object to be written.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5Exception | Failure in the data conversion.
  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data object is null

## ◆ H5Awrite_double() [1/2]

synchronized int H5Awrite_double | ( | long | attr_id,
|  | long | mem_type_id,
|  | double[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of double to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer of double with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite_double() [2/2]

synchronized native int H5Awrite_double | ( | long | attr_id,
|  | long | mem_type_id,
|  | double[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of double to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer of double with data to be written to the file.
  isCriticalPinning | IN: request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite_float() [1/2]

synchronized int H5Awrite_float | ( | long | attr_id,
|  | long | mem_type_id,
|  | float[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of float to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer of float with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite_float() [2/2]

synchronized native int H5Awrite_float | ( | long | attr_id,
|  | long | mem_type_id,
|  | float[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of float to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer of float with data to be written to the file.
  isCriticalPinning | IN: request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite_int() [1/2]

synchronized int H5Awrite_int | ( | long | attr_id,
|  | long | mem_type_id,
|  | int[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of int to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer of int with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite_int() [2/2]

synchronized native int H5Awrite_int | ( | long | attr_id,
|  | long | mem_type_id,
|  | int[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of int to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer of int with data to be written to the file.
  isCriticalPinning | IN: request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite_long() [1/2]

synchronized int H5Awrite_long | ( | long | attr_id,
|  | long | mem_type_id,
|  | long[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of long to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer of long with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite_long() [2/2]

synchronized native int H5Awrite_long | ( | long | attr_id,
|  | long | mem_type_id,
|  | long[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of long to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer of long with data to be written to the file.
  isCriticalPinning | IN: request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite_short() [1/2]

synchronized int H5Awrite_short | ( | long | attr_id,
|  | long | mem_type_id,
|  | short[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of short to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer of short with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite_short() [2/2]

synchronized native int H5Awrite_short | ( | long | attr_id,
|  | long | mem_type_id,
|  | short[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of short to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer of short with data to be written to the file.
  isCriticalPinning | IN: request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite_string()

synchronized native int H5Awrite_string | ( | long | attr_id,
|  | long | mem_type_id,
|  | String[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of string to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Buffer of string with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.

## ◆ H5Awrite_VLStrings()

synchronized native int H5Awrite_VLStrings | ( | long | attr_id,
|  | long | mem_type_id,
|  | Object[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite_VLStrings writes a variable length String dataset, specified by its identifier attr_id, from the application memory buffer buffer of variable-lenght strings into the file.

-— contributed by Rosetta Biosoftware

Parameters

  attr_id | Identifier of the attribute read from.
  mem_type_id | Identifier of the memory datatype.
  buf | Buffer of variable-lenght strings with data to be written to the file.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | name is null.

## ◆ H5AwriteVL()

synchronized native int H5AwriteVL | ( | long | attr_id,
|  | long | mem_type_id,
|  | Object[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Awrite writes an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is written from buffer of variable-lenght to the file.

Parameters

  attr_id | IN: Identifier of an attribute to write.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | IN: Object[] (one slot per element) holding the data to write; each slot must be a nested ArrayList structure matching mem_type_id (see "Buffer data model" in the class description).

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data is null.